package de.accso.flexinale.shared_kernel;

@SuppressWarnings("unused")
public class FlexinaleIllegalArgumentException extends DeveloperMistakeException {
    public FlexinaleIllegalArgumentException() {
        super();
    }

    public FlexinaleIllegalArgumentException(final String message) {
        super(message);
    }

    public FlexinaleIllegalArgumentException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public FlexinaleIllegalArgumentException(final Throwable cause) {
        super(cause);
    }

    protected FlexinaleIllegalArgumentException(final String message, final Throwable cause,
                                                final boolean enableSuppression, final boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
